Daemon Power

The NetBSD Packages Collection: www/py-scrapy

Brief description of the package:
High-level Web Crawling and Web Scraping framework

Please read the file "DESCR" for a longer description, or browse the package's history.

This package has a home page at https://scrapy.org/.

Please note that this package has a modified-bsd license.

The package is located in the "www/py-scrapy" directory. The current source version of the package is "py27-scrapy-1.4.0". For a summary on how to use the package collection, go to the top of the packages tree.

Problem reports, updates or suggestions for this package should be reported with send-pr.

The following security vulnerabilities are known for www/py-scrapy :

If you have a vulnerable package installed on any machine, you are advised to remove the package immediately, using the standard package tools. The pkg_admin audit command locates any installed package which has been mentioned in security advisories as being vulnerable.

This package requires the following package(s) to build: py27-queuelib-[0-9]* py27-setuptools>=0.8 py27-expat-[0-9]* python27>=2.7 mozilla-rootcerts>=1.0.20150804nb1 cwrappers>=20150314 libffi>=1.20 libffi>=3.0.11 readline>=2.2 readline>=6.0 python27>=2.7.1nb2 py27-parsel>=1.1.0 py27-cssselect>=0.9 py27-lxml>=2.3 py27-cython>=0.12.1 libxml2>=2.7.8 xmlcatmgr>=2.0beta1 libxml2>=2.6.2 libxslt>=1.1.26 libgcrypt>=1.2.0 libgpg-error>=1.13 libgpg-error>=0.6 libgpg-error>=1.10nb1 libxml2>=2.6.27 libgcrypt>=1.6.0 libxml2>=2.8.0nb2 docbook-xml-[0-9]* docbook-xsl-[0-9]* docbook-xml>=4.2 perl>=5.0 libxslt>=1.1.8 libxslt>=1.1.28nb2 py27-six>=1.5.2 py27-w3lib>=1.8.0 py27-six>=1.4.1 py27-test-runner-[0-9]* py27-test>=2.8 py27-py>=1.4.29 py27-setuptools_scm-[0-9]* py27-yaml-[0-9]* libyaml>=0.1.1 libyaml>=0.1.4 py27-hypothesis-[0-9]* py27-attrs-[0-9]* py27-coverage-[0-9]* py27-nose-[0-9]* py27-mock-[0-9]* py27-pbr>=0.11 py27-pip-[0-9]* py27-six>=1.7 py27-funcsigs>=1 py27-unittest2-[0-9]* py27-six>=1.4 py27-argparse-[0-9]* py27-traceback2-[0-9]* py27-pbr-[0-9]* py27-linecache2-[0-9]* py27-greenlet-[0-9]* py27-sqlite3-[0-9]* py27-enum34-[0-9]* py27-pydispatcher>=2.0.5 py27-twisted>=13.1.0 py27-automat>=0.3.0 py27-six-[0-9]* py27-m2r-[0-9]* py27-docutils-[0-9]* py27-roman>=1.4 py27-expat>=0 py27-mistune-[0-9]* py27-pygments-[0-9]* py27-constantly>=15.1 py27-hyperlink>=17.1.1 py27-idna>=2.4 py27-incremental>=16.10.1 py27-OpenSSL>=16.0.0 py27-cryptography>=0.3 py27-asn1crypto-[0-9]* py27-cffi>=1.8.2 py27-cparser-[0-9]* py27-test-[0-9]* py27-cparser>=2.10 py27-idna-[0-9]* py27-ipaddress-[0-9]* py27-iso8601-[0-9]* py27-pretend-[0-9]* py27-test>=0.8 py27-pytz-[0-9]* py27-cryptography_vectors-[0-9]* py27-flaky-[0-9]* py27-test>=3.0.1 py27-service_identity-[0-9]* py27-OpenSSL>=0.12 py27-asn1-modules-[0-9]* py27-asn1>=0.1.5 py27-characteristic>=14.0.0 py27-ZopeInterface>=3.0.1 py27-ZopeEvent-[0-9]* .

This package requires the following package(s) to run: py27-queuelib-[0-9]* py27-setuptools>=0.8 py27-expat-[0-9]* python27>=2.7 mozilla-rootcerts>=1.0.20150804nb1 libffi>=1.20 libffi>=3.0.11 python27>=2.7.1nb2 py27-parsel>=1.1.0 py27-cssselect>=0.9 py27-lxml>=2.3 py27-cython>=0.12.1 libxml2>=2.7.8 xmlcatmgr>=2.0beta1 libxml2>=2.6.2 libxslt>=1.1.26 libgcrypt>=1.2.0 libgpg-error>=1.13 libgpg-error>=0.6 libgpg-error>=1.10nb1 libxml2>=2.6.27 libgcrypt>=1.6.0 libxml2>=2.8.0nb2 libxslt>=1.1.8 libxslt>=1.1.28nb2 py27-six>=1.5.2 py27-w3lib>=1.8.0 py27-six>=1.4.1 py27-pydispatcher>=2.0.5 py27-twisted>=13.1.0 py27-automat>=0.3.0 py27-attrs-[0-9]* py27-six-[0-9]* py27-constantly>=15.1 py27-hyperlink>=17.1.1 py27-idna>=2.4 py27-incremental>=16.10.1 py27-OpenSSL>=16.0.0 py27-cryptography>=0.3 py27-asn1crypto-[0-9]* py27-cffi>=1.8.2 py27-cparser-[0-9]* py27-cparser>=2.10 py27-idna-[0-9]* py27-enum34-[0-9]* py27-ipaddress-[0-9]* py27-service_identity-[0-9]* py27-OpenSSL>=0.12 py27-asn1-modules-[0-9]* py27-asn1>=0.1.5 py27-characteristic>=14.0.0 py27-ZopeInterface>=3.0.1 py27-ZopeEvent-[0-9]* .

This package supports the following build-time options:

(none)

Select one of the links below to download the package in precompiled binary form for installation with pkg_add(1). Available machine architectures and package versions:
alpha:py27-scrapy-1.4.0.tgz(NetBSD 8.0)
alpha:py34-scrapy-1.4.0.tgz(NetBSD 8.0)
alpha:py35-scrapy-1.4.0.tgz(NetBSD 8.0)
alpha:py36-scrapy-1.4.0.tgz(NetBSD 8.0)
earmv7hf:py27-scrapy-1.4.0.tgz(NetBSD 8.0_BETA)
earmv7hf:py34-scrapy-1.4.0.tgz(NetBSD 8.0_BETA)
earmv7hf:py35-scrapy-1.4.0.tgz(NetBSD 8.0_BETA)
earmv7hf:py36-scrapy-1.4.0.tgz(NetBSD 8.0_BETA)
i386:py27-scrapy-1.4.0.tgz(NetBSD 6.0)
i386:py34-scrapy-1.4.0.tgz(NetBSD 6.0)
i386:py35-scrapy-1.4.0.tgz(NetBSD 6.0)
i386:py36-scrapy-1.4.0.tgz(NetBSD 6.0)
i386:py27-scrapy-1.3.3.tgz(NetBSD 6.0)
i386:py34-scrapy-1.3.3.tgz(NetBSD 6.0)
i386:py35-scrapy-1.3.3.tgz(NetBSD 6.0)
i386:py36-scrapy-1.3.3.tgz(NetBSD 6.0)
i386:py27-scrapy-1.4.0.tgz(NetBSD 6.0)
i386:py34-scrapy-1.4.0.tgz(NetBSD 6.0)
i386:py35-scrapy-1.4.0.tgz(NetBSD 6.0)
i386:py36-scrapy-1.4.0.tgz(NetBSD 6.0)
i386:py27-scrapy-1.4.0.tgz(NetBSD 6.1)
i386:py34-scrapy-1.4.0.tgz(NetBSD 6.1)
i386:py35-scrapy-1.4.0.tgz(NetBSD 6.1)
i386:py36-scrapy-1.4.0.tgz(NetBSD 6.1)
i386:py27-scrapy-1.3.3.tgz(NetBSD 6.1)
i386:py34-scrapy-1.3.3.tgz(NetBSD 6.1)
i386:py35-scrapy-1.3.3.tgz(NetBSD 6.1)
i386:py36-scrapy-1.3.3.tgz(NetBSD 6.1)
i386:py27-scrapy-1.4.0.tgz(NetBSD 6.1)
i386:py34-scrapy-1.4.0.tgz(NetBSD 6.1)
i386:py35-scrapy-1.4.0.tgz(NetBSD 6.1)
i386:py36-scrapy-1.4.0.tgz(NetBSD 6.1)
i386:py27-scrapy-1.4.0.tgz(NetBSD 7.0)
i386:py34-scrapy-1.4.0.tgz(NetBSD 7.0)
i386:py35-scrapy-1.4.0.tgz(NetBSD 7.0)
i386:py36-scrapy-1.4.0.tgz(NetBSD 7.0)
i386:py27-scrapy-1.3.3.tgz(NetBSD 7.0)
i386:py34-scrapy-1.3.3.tgz(NetBSD 7.0)
i386:py35-scrapy-1.3.3.tgz(NetBSD 7.0)
i386:py36-scrapy-1.3.3.tgz(NetBSD 7.0)
i386:py27-scrapy-1.4.0.tgz(NetBSD 7.0)
i386:py34-scrapy-1.4.0.tgz(NetBSD 7.0)
i386:py35-scrapy-1.4.0.tgz(NetBSD 7.0)
i386:py36-scrapy-1.4.0.tgz(NetBSD 7.0)
powerpc:py27-scrapy-1.4.0.tgz(NetBSD 6.1)
powerpc:py34-scrapy-1.4.0.tgz(NetBSD 6.1)
powerpc:py35-scrapy-1.4.0.tgz(NetBSD 6.1)
powerpc:py36-scrapy-1.4.0.tgz(NetBSD 6.1)
powerpc:py27-scrapy-1.4.0.tgz(NetBSD 7.1)
powerpc:py34-scrapy-1.4.0.tgz(NetBSD 7.1)
powerpc:py35-scrapy-1.4.0.tgz(NetBSD 7.1)
powerpc:py36-scrapy-1.4.0.tgz(NetBSD 7.1)
powerpc:py27-scrapy-1.4.0.tgz(NetBSD 7.1)
powerpc:py34-scrapy-1.4.0.tgz(NetBSD 7.1)
powerpc:py35-scrapy-1.4.0.tgz(NetBSD 7.1)
powerpc:py36-scrapy-1.4.0.tgz(NetBSD 7.1)
powerpc:py27-scrapy-1.4.0.tgz(NetBSD 8.0)
powerpc:py34-scrapy-1.4.0.tgz(NetBSD 8.0)
powerpc:py35-scrapy-1.4.0.tgz(NetBSD 8.0)
powerpc:py36-scrapy-1.4.0.tgz(NetBSD 8.0)
powerpc:py27-scrapy-1.4.0.tgz(NetBSD 8.0)
powerpc:py34-scrapy-1.4.0.tgz(NetBSD 8.0)
powerpc:py35-scrapy-1.4.0.tgz(NetBSD 8.0)
powerpc:py36-scrapy-1.4.0.tgz(NetBSD 8.0)
x86_64:py27-scrapy-1.4.0.tgz(NetBSD 6.0)
x86_64:py34-scrapy-1.4.0.tgz(NetBSD 6.0)
x86_64:py35-scrapy-1.4.0.tgz(NetBSD 6.0)
x86_64:py36-scrapy-1.4.0.tgz(NetBSD 6.0)
x86_64:py27-scrapy-1.3.3.tgz(NetBSD 6.0)
x86_64:py34-scrapy-1.3.3.tgz(NetBSD 6.0)
x86_64:py35-scrapy-1.3.3.tgz(NetBSD 6.0)
x86_64:py36-scrapy-1.3.3.tgz(NetBSD 6.0)
x86_64:py27-scrapy-1.4.0.tgz(NetBSD 6.0)
x86_64:py34-scrapy-1.4.0.tgz(NetBSD 6.0)
x86_64:py35-scrapy-1.4.0.tgz(NetBSD 6.0)
x86_64:py36-scrapy-1.4.0.tgz(NetBSD 6.0)
x86_64:py27-scrapy-1.4.0.tgz(NetBSD 6.1)
x86_64:py34-scrapy-1.4.0.tgz(NetBSD 6.1)
x86_64:py35-scrapy-1.4.0.tgz(NetBSD 6.1)
x86_64:py36-scrapy-1.4.0.tgz(NetBSD 6.1)
x86_64:py27-scrapy-1.3.3.tgz(NetBSD 6.1)
x86_64:py34-scrapy-1.3.3.tgz(NetBSD 6.1)
x86_64:py35-scrapy-1.3.3.tgz(NetBSD 6.1)
x86_64:py36-scrapy-1.3.3.tgz(NetBSD 6.1)
x86_64:py27-scrapy-1.4.0.tgz(NetBSD 6.1)
x86_64:py34-scrapy-1.4.0.tgz(NetBSD 6.1)
x86_64:py35-scrapy-1.4.0.tgz(NetBSD 6.1)
x86_64:py36-scrapy-1.4.0.tgz(NetBSD 6.1)
x86_64:py27-scrapy-1.4.0.tgz(NetBSD 7.0)
x86_64:py34-scrapy-1.4.0.tgz(NetBSD 7.0)
x86_64:py35-scrapy-1.4.0.tgz(NetBSD 7.0)
x86_64:py36-scrapy-1.4.0.tgz(NetBSD 7.0)
x86_64:py27-scrapy-1.3.3.tgz(NetBSD 7.0)
x86_64:py34-scrapy-1.3.3.tgz(NetBSD 7.0)
x86_64:py35-scrapy-1.3.3.tgz(NetBSD 7.0)
x86_64:py36-scrapy-1.3.3.tgz(NetBSD 7.0)
x86_64:py27-scrapy-1.4.0.tgz(NetBSD 7.0)
x86_64:py34-scrapy-1.4.0.tgz(NetBSD 7.0)
x86_64:py35-scrapy-1.4.0.tgz(NetBSD 7.0)
x86_64:py36-scrapy-1.4.0.tgz(NetBSD 7.0)
x86_64:py27-scrapy-1.4.0.tgz(NetBSD 7.0.1_PATCH)
x86_64:py34-scrapy-1.4.0.tgz(NetBSD 7.0.1_PATCH)
x86_64:py35-scrapy-1.4.0.tgz(NetBSD 7.0.1_PATCH)
x86_64:py36-scrapy-1.4.0.tgz(NetBSD 7.0.1_PATCH)
x86_64:py27-scrapy-1.4.0.tgz(NetBSD 8.99.1)
x86_64:py34-scrapy-1.4.0.tgz(NetBSD 8.99.1)
x86_64:py35-scrapy-1.4.0.tgz(NetBSD 8.99.1)
x86_64:py36-scrapy-1.4.0.tgz(NetBSD 8.99.1)
x86_64:py27-scrapy-1.4.0.tgz(NetBSD 8.99.1)
x86_64:py34-scrapy-1.4.0.tgz(NetBSD 8.99.1)
x86_64:py35-scrapy-1.4.0.tgz(NetBSD 8.99.1)
x86_64:py36-scrapy-1.4.0.tgz(NetBSD 8.99.1)

The NetBSD packages collection is designed to permit easy installation from source - particularly useful if the latest binary package is not available for your chosen platform.


[ Go up one level | Go to top of packages tree | List all packages ]